Subject: Re: Realtek 8139 problem on 486.

From: Nikolai Zhubr <[email-masked]>
Date: Wed, 09 Jun 2021 01:07:41 +0300

08.06.2021 23:45, Arnd Bergmann:
> The idea was that all non-rx events that were pending at the start of the
> function have been Acked at this point, by writing to the IntrMask
> register before processing the particular event. If the same kind of event
> arrives after the Ack, then opening in the mask should immediately trigger
> the interrupt handler, which reactivates the poll function.

Ok, it works, indeed. The overall bitrate seems lower somewhat.
I'll re-test and benchmark some few variants (e.g. with and without busy 
loop) and report my findings.

Thank you,

Regards,
Nikolai